# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name kde_servicemenu_kvm
%define summary video format converter
%define version 0.1.1
%define release 1.2007mcnl 
%define	vendor 	Mandrivaclub.nl

Name: 		%{name} 
Summary:	%{summary} 
Version: 	%{version} 
Release: 	%{release} 
Vendor:		%{vendor} 
Url:		http://www.kde-apps.org/content/show.php?content=50959
Group:		Graphical desktop/KDE
License:	GPL 

Source0:        kvm-%{version}.tar.bz2

BuildArch:  	noarch

Requires: ffmpeg


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 

 
%description  
Kvm is a Konqueror service menu which allows to manage your videos without to use
a graphical application. This service menu can be considered as a frontend of ffmpeg.

Todo:
- export to PSP and Ipod format,
- record a stream,
- other suggestions are welcomed

I'm currently working on the next release of Kvm and I would appreciate suggestions to improve Kvm.

%prep
rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n kvm


%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/apps/konqueror/servicemenus/
cp src/kvm*.desktop ${RPM_BUILD_ROOT}%{_datadir}/apps/konqueror/servicemenus/
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp src/kvm ${RPM_BUILD_ROOT}%{_bindir}

%post


%postun


%clean  
rm -rf ${RPM_BUILD_ROOT} 
 
%files   
%defattr(0755,root,root)
%doc COPYING AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/kvm
%{_datadir}/apps/konqueror/servicemenus/kvm*.desktop



%changelog  

* Sat Jan 06 2007 Marco Meijer <marco@mandrivaclub.nl> 0.1.1-1.2007mcnl
- special mandrivaclub.nl build
